Subject: Re: bug#6339: url-filename => "/c:/some/file.txt"

From: Andreas Schwab <[email-masked]>
Date: Sat, 24 Sep 2011 13:53:33 +0200

Juanma Barranquero <[email-masked]> writes:

> I don't know what other URLs schemes say, but certainly RFC 1738 says:
>
> 3.3. HTTP

Note that the interpretation of the local part is scheme dependent, so
you cannot compare file: and http: directly.

RFC 1738 defines fileurl in terms of fpath, which is shared with ftpurl.
In an ftp URL an absolute fpath needs to be written with a leading
escaped slash (%2F).  RFCs 4722 and 5022 consistently use four leading
slashes for an absolute file name.  OTOH there are a few occurrences of
file URLs denoting absolute paths with only three slashes in other RFCs.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."